% map variables from parVec to their model counterparts:
for elem = numel(scemPar.parMap):-1:1  % reverse order for speed
    eval([scemPar.parMap{elem},' = parVec(elem);'])
end
clear elem tmp modelPars
